# Online Check PRO 2024.1.0

## Description
Online Check is a configurable tool to reliably check your connection to the Internet – in the editor as well as at runtime, where you need it, when you need it.

Unity’s internal reachability check returns the type of Internet reachability possible on the current device.
As mentioned in their documentation, this does not check for your actual connectivity – it only determines whether the device can, for example, connect to a hot spot. That’s not very helpful if it the actual route to the network is unavailable.

Its main purpose is to gain a little bit more comfort by keeping track of your connection state, without consulting your browser or the OS display which both usually cause an unnecessary delay. This tool doesn’t check if you’re connected to a specific network. It checks if you have access to the Internet, which, for example, comes in handy when you’re on the road connected to a public WiFi.

You can buy it here: [Unity AssetStore](https://assetstore.unity.com/lists/crosstales-42213?aid=1011lNGT)



## Note for MacOS-users
Your security setup must allow apps from everywhere.
If the app still doesn’t start, open Terminal and enter these commands:

cd path/to/application

chmod +x "Online Check PRO 2024.app/Contents/MacOS/Online Check PRO 2024"

### Remove from quarantine(optional): 

xattr -r -d com.apple.quarantine "Online Check PRO 2024.app/"



## Credits

The icons are based on [Font Awesome](http://fontawesome.io/).



## Contact

crosstales LLC
Schanzeneggstrasse 1
CH-8002 Zürich

* [Homepage](https://www.crosstales.com/en/portfolio/OnlineCheck/)
* [Email](mailto:onlinecheck@crosstales.com)

### Social media
* [Discord](https://discord.gg/ZbZ2sh4)
* [Facebook](https://www.facebook.com/crosstales/)
* [Twitter](https://twitter.com/crosstales)
* [LinkedIN](https://www.linkedin.com/company/crosstales)



## More information
* [AssetStore](https://assetstore.unity.com/lists/crosstales-42213?aid=1011lNGT)
* [Forum](https://forum.unity.com/threads/online-check-pro-verify-internet-reachability.472558/)
* [Documentation](https://www.crosstales.com/media/data/assets/OnlineCheck/OnlineCheck-doc.pdf)
* [API](https://crosstales.com/media/data/assets/OnlineCheck/api)

### Videos
[Youtube-channel](https://www.youtube.com/c/Crosstales)

* [Promotion](https://youtu.be/pPvKE-eyxV4?list=PLgtonIOr6Tb41XTMeeZ836tjHlKgOO84S)
* [Tutorial](https://youtu.be/bNdafUNcs68?list=PLgtonIOr6Tb41XTMeeZ836tjHlKgOO84S)

### Demos
* [WebGL-Demo](https://www.crosstales.com/media/data/assets/OnlineCheck/webgl/)
* [Windows-Demo](https://drive.google.com/file/d/1J_a0Jn2UeYR9Vg2Pa_gNVv676xxXDooW/view?usp=sharing)
* [Mac-Demo](https://drive.google.com/file/d/1JYQ8QhmG7yTTtiX1K9LzYrUxtVkSjuAy/view?usp=sharing)
* [Linux-Demo](https://drive.google.com/file/d/1JcYflIjaNdxxQkZl-iy1eDbT2Z5BaWY0/view?usp=sharing)
* [Android-Demo](https://drive.google.com/file/d/1JiY96hHyvyNF4COwZu5erIhuAlGWsJtH/view?usp=sharing)


`Version: 09.02.2024`